TokenFilter.ReplaceString (Apache Ant API)
Keywords: org.apache.tools.ant.filters.TokenFilter.ReplaceString,TokenFilter.ReplaceString class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.filters
Class TokenFilter.ReplaceString

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter
                  |
                  +--org.apache.tools.ant.filters.TokenFilter.ReplaceString

All Implemented Interfaces:
  ChainableReader, TokenFilter.Filter

Enclosing class:
  TokenFilter

public static class TokenFilter.ReplaceString
extends TokenFilter.ChainableReaderFilter

Simple replace string filter.

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`TokenFilter.ReplaceString()`

Method Summary
`java.lang.String` | `filter(java.lang.String line)` Filter a string 'line' replacing from with to (C&P from the Replace task)
`void` | `setFrom(java.lang.String from)` the from attribute
`void` | `setTo(java.lang.String to)` the to attribute

Methods inherited from class org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter
`chain, setByLine`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenFilter.ReplaceString

    public TokenFilter.ReplaceString()

Method Detail

### setFrom

    public void setFrom(java.lang.String from)

  the from attribute

  Parameters:
    `from` - the string to replace

### setTo

    public void setTo(java.lang.String to)

  the to attribute

  Parameters:
    `to` - the string to replace 'from' with

### filter

    public java.lang.String filter(java.lang.String line)

  Filter a string 'line' replacing from with to (C&P from the Replace task)

  Parameters:
    `line` - the string to be filtered
  Returns:
    the filtered line

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.